package com.seeyon.utils.form;

public class FormUpdateField {
    private String display;
    private String fieldName;
    private Object value;

    public FormUpdateField(Object value) {
        this.value = value;
    }

    public FormUpdateField() {
    }

    public static FormUpdateField build() {
        return new FormUpdateField();
    }

    public FormUpdateField display(String display) {
        this.display = display;
        return this;
    }

    public FormUpdateField value(String value) {
        this.value = value;
        return this;
    }

    public FormUpdateField fieldName(String fieldName) {
        this.fieldName = fieldName;
        return this;
    }

    public Object getValue() {
        return value;
    }

    public void setValue(Object value) {
        this.value = value;
    }

    public String getDisplay() {
        return display;
    }

    public void setDisplay(String display) {
        this.display = display;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }
}
